libdbusmenu-qt-dev_0.9.2-1_amd64.deb


Advertisement

Description

libdbusmenu-qt-dev - Qt implementation of the DBusMenu protocol (development)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libdbusmenu-qt-dev
Package version 0.9.2
Package release 1
Package architecture amd64
Package type deb
Installed size 59 B
Download size 6.82 KB
Official Mirror ftp.br.debian.org
This library provides a Qt implementation of the DBusMenu protocol.
The DBusMenu protocol makes it possible for applications to export
and import their menus over D-Bus.
This package provides header files and CMake configuration files for
development.

Alternatives

Package Version Architecture Repository
libdbusmenu-qt-dev_0.9.2-1_i386.deb 0.9.2 i386 Debian Main
libdbusmenu-qt-dev - - -

Requires

Name Value
libdbusmenu-qt2 = 0.9.2-1
libqt4-dev -

Download

Type URL
Binary Package libdbusmenu-qt-dev_0.9.2-1_amd64.deb
Source Package libdbusmenu-qt

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libdbusmenu-qt-dev deb package:
    # sudo apt-get install libdbusmenu-qt-dev

Files

Path
/usr/include/dbusmenu-qt/dbusmenu_export.h
/usr/include/dbusmenu-qt/dbusmenu_version.h
/usr/include/dbusmenu-qt/dbusmenuexporter.h
/usr/include/dbusmenu-qt/dbusmenuimporter.h
/usr/lib/x86_64-linux-gnu/libdbusmenu-qt.so
/usr/lib/x86_64-linux-gnu/pkgconfig/dbusmenu-qt.pc
/usr/share/doc/libdbusmenu-qt-dev/changelog.Debian.gz
/usr/share/doc/libdbusmenu-qt-dev/copyright

Changelog

2013-05-27 - Pino Toscano <pino@debian.org>
libdbusmenu-qt (0.9.2-1) unstable; urgency=low
* New upstream release.
* Do not manually impose a shlibs version anymore, but rely solely on
symbols file.
* Update symbols file.
2013-05-16 - Pino Toscano <pino@debian.org>
libdbusmenu-qt (0.9.0-3) unstable; urgency=low
* Update symbol file.
* Small touches to the descriptions.
* libdbusmenu-qt-doc: suggest w3m | www-browser, since it contains HTML
documentation.
* Pass --fail-missing to dh_install.
2013-05-13 - Pino Toscano <pino@debian.org>
libdbusmenu-qt (0.9.0-2) unstable; urgency=low
[ Praveen Arimbrathodiyil ]
* update description for -dev package too. (Closes: #640251)
* make all DBus occurance in descriptions to D-Bus.
* add all html files to doc-base.
* Implement multiarch.
- bump cmake build dependency to 2.8.5.
- bump debhelper build dependency to 8.1.3.
* debian/rules: move --parallel after $@.
* New binary package libdbusmenu-qt-doc.
* Remove embedded jquery and depend on libjs-jquery.
* fix watch file with new url scheme.
* Thanks to Pino Toscano for many improvements.
[ Pino Toscano ]
* Add myself to uploaders.
* Bump debhelper build dependency to 9, matching its used compatibility;
remove the related source lintian override.
* rules: remove dh overrides from .PHONY.
* Rename docs to libdbusmenu-qt2.docs, so it is explicitly used for the
shared library package.
* Remove DM-Upload-Allowed control field, no more used now.
* Update Vcs-* headers.
* Update symbols file, still not used yet.
* rules: turn echo into comments.
* Slightly improve libdbusmenu-qt-dev.install.
* Convert copyright to copyright-format v1.0, and update it.
* 002-use-multiarch-lib-paths.diff: update author.
* With the two changes above, this upload closes: #649899.
* Bump Standards-Version to 3.9.4, no changes required.
* Add the pkg-config build dependency.
2011-09-01 - Praveen Arimbrathodiyil <pravi.a@gmail.com>
libdbusmenu-qt (0.9.0-1) unstable; urgency=low
* New upstream release.
* Add doxygen as build dependency.
* Minor fixes to description, thanks to Filipus Klutiero. (Closes: #630193)
* Update symbols file.
2011-06-01 - Modestas Vainius <modax@debian.org>
libdbusmenu-qt (0.8.0-3) unstable; urgency=low
* gcc seems to still emit some random symbols on some arches. Mark them as
optional and arch specific. (Closes: #628745)
2011-06-01 - Modestas Vainius <modax@debian.org>
libdbusmenu-qt (0.8.0-2) unstable; urgency=low
* Fix symbol files to build against gcc 4.6. (Closes: #628745)
* Bump Standards-Version to 3.9.2: no changes needed.
* Add myself to Uploaders.
2011-04-02 - Praveen Arimbrathodiyil <pravi.a@gmail.com>
libdbusmenu-qt (0.8.0-1) unstable; urgency=low
* New upstream release (3 private symbols dropped).
* Symbols file updated, missing symbols removed.
* Thanks to Shravan Aras for helping me with cscope.
2011-03-19 - Praveen Arimbrathodiyil <pravi.a@gmail.com>
libdbusmenu-qt (0.7.0-1) unstable; urgency=low
* New upstream release. 
* DM upload is allowed.
* adding libqjson-dev to build dependencies (for testapp). 
2011-02-27 - Praveen Arimbrathodiyil <pravi.a@gmail.com>
libdbusmenu-qt (0.6.6-1) unstable; urgency=low
* New upstream release. (Closes: #606199)
[ Praveen Arimbrathodiyil ]
* debian/rules: added support for parallel building.
* debian/copyright: cleared copyright info of removed patch.
* debian/control: changed homepage to page on launchpad.net.
* debian/control: updated vcs from svn to git.
* debian/control: updated policy to 3.9.1
[ José Manuel Santamaría Lema ]
* Update symbols file.

See Also

Package Description
libdbusmenu-qt-doc_0.9.2-1_all.deb Qt implementation of the DBusMenu protocol (documentation)
libdbusmenu-qt2_0.9.2-1_amd64.deb Qt implementation of the DBusMenu protocol
libdbusmenu-tools_12.10.2-1_amd64.deb tools useful during development with libdbusmenu
libdc-dev_0.3.24~svn3121-2_amd64.deb Development libraries for Valknut
libdc1394-22-dev_2.2.3-1_amd64.deb high level programming interface for IEEE1394 digital camera - development
libdc1394-22-doc_2.2.3-1_all.deb high level programming interface for IEEE1394 digital camera - documentation
libdc1394-22_2.2.3-1_amd64.deb high level programming interface for IEEE1394 digital camera
libdc1394-utils_2.2.3-1_amd64.deb utilities for IEEE1394 digital cameras
libdc5_0.3.24~svn3121-2_amd64.deb Runtime libraries for Valknut
libdca-dev_0.0.5-7_amd64.deb decoding library for DTS Coherent Acoustics streams (development)
libdca-utils_0.0.5-7_amd64.deb decoding library for DTS Coherent Acoustics streams (utilities)
libdca0_0.0.5-7_amd64.deb decoding library for DTS Coherent Acoustics streams
libdcap1_2.47.8-2_amd64.deb Client Libraries for dCache
libdcmtk2-dev_3.6.0-15+deb8u1_amd64.deb OFFIS DICOM toolkit development libraries and headers
libdcmtk2_3.6.0-15+deb8u1_amd64.deb OFFIS DICOM toolkit runtime libraries
Advertisement
Advertisement